Subject: Re: [PATCH 0/2] Fix some constness errors in fetch-pack

From: Michael Haggerty <[email-masked]>
Date: Sat, 19 May 2012 16:05:07 +0200

On 05/02/2012 12:40 PM, [email-masked] wrote:
> From: Michael Haggerty<[email-masked]>
>
> Fix some constness errors that I noticed while reading the code in
> builtin/fetch-pack.c.
>
> Michael Haggerty (2):
>    cmd_fetch_pack(): declare dest to be const
>    cmd_fetch_pack(): fix constness problem and memory leak
>
>   builtin/fetch-pack.c |  152 +++++++++++++++++++++++++-------------------------
>   1 file changed, 77 insertions(+), 75 deletions(-)

I think that these patches got dropped because of an inconclusive 
discussion [1]: Duy suggested converting the code for fetch-pack to use 
parse_options(), which idea Junio didn't like.  But I think that any 
objections were raised against these two patches, which are just simple 
cleanups.

Michael

[1] http://comments.gmane.org/gmane.comp.version-control.git/196797

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/